You are here

PSoC Designer 5.0 SP6 Programming "Device Not Found" | Cypress Semiconductor

Support & Community

PSoC Designer 5.0 SP6 Programming "Device Not Found"

Last Updated: December 05, 2010

I have PSoC Designer 5.0 SP6 and PSoC Programmer 3.12 Beta or higher installed and I’m receiving 'Device Not Found' errors from the embedded programmer, though the standalone programmer will function when I select the correct device or have Autodetect enabled.



PSoC Programmer 3.12 (Beta and Production) and beyond underwent a minor database restructuring to accommodate updates from PSoC Designer 5.1 Beta and FCS releases. This update will cause errors when programming using PSoC Programmer 3.12 coupled with PSoC Designer SP6 and earlier versions.

Impacted Devices:

The following table details the device families that the user will experience this error:


Device Families/Devices Type
CY8C20x36 Device Family
CY8C20x96 Device Family
CY8CLED16P01 Device Family
CY8CTMA120-56LTXA Individual Device
CY8CTMA120-56LFXA Individual Device
CY8CTST2xx(A) Device Family
CY8CTMG2xx(A) Device Family
CYONS2xxx Device Family
CYONSTB2xxx Device Family
CYONSFN2xxx Device Family


The customer can perform three tasks to solve this issue.

First, the customer may upgrade their designer installation to PSoC Designer 5.1 Beta 2 or FCS and later.

Second, the user may use the stand alone version of PSoC Programmer instead of the Embedded programmer.

Third, the user may roll back the PSoC Programmer installation to version 3.11. The user may roll back from the PSoC Programmer 3.12 Beta or greater release by using the CyInstaller Update Manager. The user can perform the following steps:

  • Open up the CyInstaller Update Manager from the Start Menu.
  • Select Configure
  • Navigate CyInstaller to the installation type section and select, Custom, and click, next.
  • From the drop menu select PSoC Programmer 3.11 and click next.

CyInstaller will roll back the user’s installation to the PSoC Programmer 3.11.


This knowledge based article details to the user the solution to the embedded programmer programming failures when using PSoC Designer 5.0 SP6 with versions of PSoC Programmer 3.12 Beta and older.

Knowledge Base Tags: 

Provide feedback on this article

Browse KB By Product

Browse KB by Type